// Verilated -*- C++ -*-
// DESCRIPTION: Verilator output: Design implementation internals
// See VRAS.h for the primary calling header

#include "VRAS.h"
#include "VRAS__Syms.h"

//==========

VL_CTOR_IMP(VRAS) {
    VRAS__Syms* __restrict vlSymsp = __VlSymsp = new VRAS__Syms(this, name());
    VRAS* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Reset internal values
    
    // Reset structure values
    _ctor_var_reset();
}

void VRAS::__Vconfigure(VRAS__Syms* vlSymsp, bool first) {
    if (false && first) {}  // Prevent unused
    this->__VlSymsp = vlSymsp;
    if (false && this->__VlSymsp) {}  // Prevent unused
    _configure_coverage(vlSymsp, first);
    Verilated::timeunit(-12);
    Verilated::timeprecision(-12);
}

VRAS::~VRAS() {
#ifdef VM_TRACE
    if (VL_UNLIKELY(__VlSymsp->__Vm_dumping)) _traceDumpClose();
#endif  // VM_TRACE
    VL_DO_CLEAR(delete __VlSymsp, __VlSymsp = nullptr);
}

// Coverage
void VRAS::__vlCoverInsert(uint32_t* countp, bool enable, const char* filenamep, int lineno, int column,
    const char* hierp, const char* pagep, const char* commentp, const char* linescovp) {
    uint32_t* count32p = countp;
    static uint32_t fake_zero_count = 0;
    if (!enable) count32p = &fake_zero_count;
    *count32p = 0;
    VL_COVER_INSERT(count32p,  "filename",filenamep,  "lineno",lineno,  "column",column,
        "hier",std::string(name())+hierp,  "page",pagep,  "comment",commentp,  (linescovp[0] ? "linescov" : ""), linescovp);
}

void VRAS::_initial__TOP__5(VRAS__Syms* __restrict vlSymsp) {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VRAS::_initial__TOP__5\n"); );
    VRAS* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Variables
    WData/*159:0*/ __Vtemp1[5];
    // Body
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[0U] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[1U] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[2U] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[3U] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[4U] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[5U] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[6U] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[7U] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[8U] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[9U] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[0xaU] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[0xbU] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[0xcU] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[0xdU] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[0xeU] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY[0xfU] = 0ULL;
    ++(vlSymsp->__Vcoverage[281]);
    vlTOPp->RAS__DOT__RAS_STACK__DOT__i = 0x10U;
    vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD = 0U;
    ++(vlSymsp->__Vcoverage[282]);
    vlTOPp->RAS__DOT__STATE = 1U;
    vlTOPp->RAS__DOT__RAS_STACK_wr = 0U;
    vlTOPp->RAS__DOT__RAS_STACK_rd = 0U;
    vlTOPp->RAS__DOT__RAS_STACK_wr_data = 0ULL;
    if (VL_UNLIKELY((0U != VL_TESTPLUSARGS_I("trace")))) {
        VL_WRITEF("[%0t] Tracing to logs/vlt_dump.vcd...\n\n",
                  64,VL_TIME_UNITED_Q(1));
        __Vtemp1[0U] = 0x2e766364U;
        __Vtemp1[1U] = 0x64756d70U;
        __Vtemp1[2U] = 0x766c745fU;
        __Vtemp1[3U] = 0x6f67732fU;
        __Vtemp1[4U] = 0x6cU;
        vl_dumpctl_filenamep(true, VL_CVT_PACK_STR_NW(5, __Vtemp1));
        vlSymsp->TOPp->_traceDumpOpen();
        ++(vlSymsp->__Vcoverage[248]);
    } else {
        ++(vlSymsp->__Vcoverage[249]);
    }
    VL_WRITEF("[%0t] Model running...\n\n",64,VL_TIME_UNITED_Q(1));
    ++(vlSymsp->__Vcoverage[250]);
}

void VRAS::_settle__TOP__7(VRAS__Syms* __restrict vlSymsp) {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VRAS::_settle__TOP__7\n"); );
    VRAS* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Body
    if (((0U == (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD)) 
         ^ vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_empty)) {
        ++(vlSymsp->__Vcoverage[240]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_empty 
            = (0U == (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD));
    }
    if (((0xfU == (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD)) 
         ^ vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_full)) {
        ++(vlSymsp->__Vcoverage[241]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_full 
            = (0xfU == (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD));
    }
    vlTOPp->RAS__DOT__RAS_STACK_empty = (0U == (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD));
    vlTOPp->RAS__DOT__RAS_STACK_full = (0xfU == (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD));
    vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD_PLUS_1 = 
        (0xfU & ((IData)(1U) + (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD)));
    vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD_MINUS_1 
        = (0xfU & ((IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD) 
                   - (IData)(1U)));
    if ((1U & ((IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD) 
               ^ vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD))) {
        ++(vlSymsp->__Vcoverage[269]);
        vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD 
            = ((0xeU & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD)) 
               | (1U & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD)));
    }
    if ((2U & ((IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD) 
               ^ vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD))) {
        ++(vlSymsp->__Vcoverage[270]);
        vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD 
            = ((0xdU & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD)) 
               | (2U & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD)));
    }
    if ((4U & ((IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD) 
               ^ vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD))) {
        ++(vlSymsp->__Vcoverage[271]);
        vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD 
            = ((0xbU & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD)) 
               | (4U & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD)));
    }
    if ((8U & ((IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD) 
               ^ vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD))) {
        ++(vlSymsp->__Vcoverage[272]);
        vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD 
            = ((7U & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD)) 
               | (8U & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD)));
    }
    if ((1U & (((IData)(1U) + (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD)) 
               ^ vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_PLUS_1))) {
        ++(vlSymsp->__Vcoverage[273]);
        vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_PLUS_1 
            = ((0xeU & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_PLUS_1)) 
               | (1U & ((IData)(1U) + (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD))));
    }
    if ((1U & ((7U & (((IData)(1U) + (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD)) 
                      >> 1U)) ^ (vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_PLUS_1 
                                 >> 1U)))) {
        ++(vlSymsp->__Vcoverage[274]);
        vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_PLUS_1 
            = ((0xdU & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_PLUS_1)) 
               | (2U & ((IData)(1U) + (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD))));
    }
    if ((1U & ((3U & (((IData)(1U) + (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD)) 
                      >> 2U)) ^ (vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_PLUS_1 
                                 >> 2U)))) {
        ++(vlSymsp->__Vcoverage[275]);
        vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_PLUS_1 
            = ((0xbU & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_PLUS_1)) 
               | (4U & ((IData)(1U) + (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD))));
    }
    if ((1U & ((1U & (((IData)(1U) + (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD)) 
                      >> 3U)) ^ (vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_PLUS_1 
                                 >> 3U)))) {
        ++(vlSymsp->__Vcoverage[276]);
        vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_PLUS_1 
            = ((7U & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_PLUS_1)) 
               | (8U & ((IData)(1U) + (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD))));
    }
    if ((1U & (((IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD) 
                - (IData)(1U)) ^ vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_MINUS_1))) {
        ++(vlSymsp->__Vcoverage[277]);
        vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_MINUS_1 
            = ((0xeU & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_MINUS_1)) 
               | (1U & ((IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD) 
                        - (IData)(1U))));
    }
    if ((1U & ((7U & (((IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD) 
                       - (IData)(1U)) >> 1U)) ^ (vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_MINUS_1 
                                                 >> 1U)))) {
        ++(vlSymsp->__Vcoverage[278]);
        vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_MINUS_1 
            = ((0xdU & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_MINUS_1)) 
               | (2U & ((IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD) 
                        - (IData)(1U))));
    }
    if ((1U & ((3U & (((IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD) 
                       - (IData)(1U)) >> 2U)) ^ (vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_MINUS_1 
                                                 >> 2U)))) {
        ++(vlSymsp->__Vcoverage[279]);
        vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_MINUS_1 
            = ((0xbU & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_MINUS_1)) 
               | (4U & ((IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD) 
                        - (IData)(1U))));
    }
    if ((1U & ((1U & (((IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD) 
                       - (IData)(1U)) >> 3U)) ^ (vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_MINUS_1 
                                                 >> 3U)))) {
        ++(vlSymsp->__Vcoverage[280]);
        vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_MINUS_1 
            = ((7U & (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_MINUS_1)) 
               | (8U & ((IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD) 
                        - (IData)(1U))));
    }
    if (((IData)(vlTOPp->RAS__DOT__STATE) ^ vlTOPp->RAS__DOT____Vtogcov__STATE)) {
        ++(vlSymsp->__Vcoverage[139]);
        vlTOPp->RAS__DOT____Vtogcov__STATE = vlTOPp->RAS__DOT__STATE;
    }
    vlTOPp->RAS__DOT__DO_WRITE_STACK = ((~ (IData)(vlTOPp->RAS__DOT__STATE)) 
                                        & (IData)(vlTOPp->in_addr_val));
    vlTOPp->RAS__DOT__DO_READ_STACK = ((~ (IData)(vlTOPp->RAS__DOT__STATE)) 
                                       & (IData)(vlTOPp->rd));
    if (((IData)(vlTOPp->RAS__DOT__DO_WRITE_STACK) 
         ^ vlTOPp->RAS__DOT____Vtogcov__DO_WRITE_STACK)) {
        ++(vlSymsp->__Vcoverage[246]);
        vlTOPp->RAS__DOT____Vtogcov__DO_WRITE_STACK 
            = vlTOPp->RAS__DOT__DO_WRITE_STACK;
    }
    if (((IData)(vlTOPp->RAS__DOT__DO_READ_STACK) ^ vlTOPp->RAS__DOT____Vtogcov__DO_READ_STACK)) {
        ++(vlSymsp->__Vcoverage[244]);
        vlTOPp->RAS__DOT____Vtogcov__DO_READ_STACK 
            = vlTOPp->RAS__DOT__DO_READ_STACK;
    }
    vlTOPp->__Vfunc_RAS__DOT__READ_RAS_STACK__0__read 
        = vlTOPp->RAS__DOT__DO_READ_STACK;
    vlTOPp->__Vfunc_RAS__DOT__READ_RAS_STACK__0__Vfuncout 
        = vlTOPp->RAS__DOT__RAS_STACK_rd_data;
    ++(vlSymsp->__Vcoverage[267]);
    vlTOPp->RAS__DOT__RAS_STACK_rd = vlTOPp->__Vfunc_RAS__DOT__READ_RAS_STACK__0__read;
    vlTOPp->RAS__DOT__RAS_STACK_rd_data = vlTOPp->__Vfunc_RAS__DOT__READ_RAS_STACK__0__Vfuncout;
    ++(vlSymsp->__Vcoverage[266]);
    if (vlTOPp->RAS__DOT__STATE) {
        ++(vlSymsp->__Vcoverage[260]);
        if (vlTOPp->RAS__DOT__DO_UNLOCK) {
            ++(vlSymsp->__Vcoverage[257]);
        } else {
            vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__1__write_data 
                = vlTOPp->in_addr;
            vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__1__write 
                = vlTOPp->RAS__DOT__DO_WRITE_STACK;
            ++(vlSymsp->__Vcoverage[268]);
            ++(vlSymsp->__Vcoverage[256]);
            vlTOPp->RAS__DOT__NEXT_STATE = 1U;
            vlTOPp->RAS__DOT__RAS_STACK_wr = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__1__write;
            vlTOPp->RAS__DOT__RAS_STACK_wr_data = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__1__write_data;
            vlTOPp->ras_write_active = 0U;
            vlTOPp->out_addr_val = 0U;
            vlTOPp->out_addr = 0ULL;
            vlTOPp->empty = 0U;
            vlTOPp->full = 0U;
            vlTOPp->locked = vlTOPp->RAS__DOT__STATE;
            vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__1__Vfuncout 
                = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__1__write;
            vlTOPp->RAS__DOT__RAS_STACK_status = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__1__Vfuncout;
        }
        if (vlTOPp->RAS__DOT__DO_UNLOCK) {
            vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__2__write_data 
                = vlTOPp->in_addr;
            vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__2__write 
                = vlTOPp->RAS__DOT__DO_WRITE_STACK;
            ++(vlSymsp->__Vcoverage[268]);
            ++(vlSymsp->__Vcoverage[258]);
            vlTOPp->RAS__DOT__NEXT_STATE = 0U;
            vlTOPp->RAS__DOT__RAS_STACK_wr = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__2__write;
            vlTOPp->RAS__DOT__RAS_STACK_wr_data = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__2__write_data;
            vlTOPp->out_addr_val = vlTOPp->RAS__DOT__DO_READ_STACK;
            vlTOPp->out_addr = vlTOPp->RAS__DOT__RAS_STACK_rd_data;
            vlTOPp->empty = (0U == (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD));
            vlTOPp->full = (0xfU == (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD));
            vlTOPp->locked = vlTOPp->RAS__DOT__STATE;
            vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__2__Vfuncout 
                = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__2__write;
            vlTOPp->RAS__DOT__RAS_STACK_status = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__2__Vfuncout;
            vlTOPp->ras_write_active = vlTOPp->RAS__DOT__RAS_STACK_status;
        } else {
            ++(vlSymsp->__Vcoverage[259]);
        }
    } else {
        if ((1U & (~ (IData)(vlTOPp->RAS__DOT__STATE)))) {
            ++(vlSymsp->__Vcoverage[265]);
            if (vlTOPp->RAS__DOT__DO_IDLE) {
                vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__3__write_data 
                    = vlTOPp->in_addr;
                vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__3__write 
                    = vlTOPp->RAS__DOT__DO_WRITE_STACK;
                ++(vlSymsp->__Vcoverage[268]);
                ++(vlSymsp->__Vcoverage[261]);
                vlTOPp->RAS__DOT__NEXT_STATE = 0U;
                vlTOPp->RAS__DOT__RAS_STACK_wr = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__3__write;
                vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                    = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__3__write_data;
                vlTOPp->out_addr_val = vlTOPp->RAS__DOT__DO_READ_STACK;
                vlTOPp->out_addr = vlTOPp->RAS__DOT__RAS_STACK_rd_data;
                vlTOPp->empty = (0U == (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD));
                vlTOPp->full = (0xfU == (IData)(vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD));
                vlTOPp->locked = vlTOPp->RAS__DOT__STATE;
                vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__3__Vfuncout 
                    = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__3__write;
                vlTOPp->RAS__DOT__RAS_STACK_status 
                    = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__3__Vfuncout;
                vlTOPp->ras_write_active = vlTOPp->RAS__DOT__RAS_STACK_status;
            } else {
                ++(vlSymsp->__Vcoverage[262]);
            }
            if (vlTOPp->RAS__DOT__DO_LOCK) {
                vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__4__write_data 
                    = vlTOPp->in_addr;
                vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__4__write 
                    = vlTOPp->RAS__DOT__DO_WRITE_STACK;
                ++(vlSymsp->__Vcoverage[268]);
                ++(vlSymsp->__Vcoverage[263]);
                vlTOPp->RAS__DOT__NEXT_STATE = 1U;
                vlTOPp->RAS__DOT__RAS_STACK_wr = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__4__write;
                vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                    = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__4__write_data;
                vlTOPp->ras_write_active = 0U;
                vlTOPp->out_addr_val = 0U;
                vlTOPp->out_addr = 0ULL;
                vlTOPp->empty = 0U;
                vlTOPp->full = 0U;
                vlTOPp->locked = vlTOPp->RAS__DOT__STATE;
                vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__4__Vfuncout 
                    = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__4__write;
                vlTOPp->RAS__DOT__RAS_STACK_status 
                    = vlTOPp->__Vfunc_RAS__DOT__WRITE_RAS_STACK__4__Vfuncout;
            } else {
                ++(vlSymsp->__Vcoverage[264]);
            }
        }
    }
    if (VL_UNLIKELY((1U & (~ VL_ONEHOT_I(((2U & ((~ (IData)(vlTOPp->RAS__DOT__STATE)) 
                                                 << 1U)) 
                                          | (IData)(vlTOPp->RAS__DOT__STATE))))))) {
        if (VL_UNLIKELY(Verilated::assertOn())) {
            VL_WRITEF("[%0t] %%Error: RAS.sv:129: Assertion failed in %NRAS: synthesis parallel_case, but multiple matches found\n",
                      64,VL_TIME_UNITED_Q(1),vlSymsp->name());
            VL_STOP_MT("RAS.sv", 129, "");
        }
    }
    if (((IData)(vlTOPp->RAS__DOT__RAS_STACK_rd) ^ vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_rd)) {
        ++(vlSymsp->__Vcoverage[191]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_rd = vlTOPp->RAS__DOT__RAS_STACK_rd;
    }
    vlTOPp->RAS__DOT__RAS_STACK_rd_data = (((IData)(vlTOPp->RAS__DOT__RAS_STACK_rd) 
                                            & (IData)(vlTOPp->res_n))
                                            ? vlTOPp->RAS__DOT__RAS_STACK__DOT__MEMORY
                                           [vlTOPp->RAS__DOT__RAS_STACK__DOT__HEAD]
                                            : 0ULL);
    if (((IData)(vlTOPp->RAS__DOT__NEXT_STATE) ^ vlTOPp->RAS__DOT____Vtogcov__NEXT_STATE)) {
        ++(vlSymsp->__Vcoverage[140]);
        vlTOPp->RAS__DOT____Vtogcov__NEXT_STATE = vlTOPp->RAS__DOT__NEXT_STATE;
    }
    if (((IData)(vlTOPp->ras_write_active) ^ vlTOPp->RAS__DOT____Vtogcov__ras_write_active)) {
        ++(vlSymsp->__Vcoverage[136]);
        vlTOPp->RAS__DOT____Vtogcov__ras_write_active 
            = vlTOPp->ras_write_active;
    }
    if (((IData)(vlTOPp->out_addr_val) ^ vlTOPp->RAS__DOT____Vtogcov__out_addr_val)) {
        ++(vlSymsp->__Vcoverage[86]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr_val = vlTOPp->out_addr_val;
    }
    if (((IData)(vlTOPp->empty) ^ vlTOPp->RAS__DOT____Vtogcov__empty)) {
        ++(vlSymsp->__Vcoverage[137]);
        vlTOPp->RAS__DOT____Vtogcov__empty = vlTOPp->empty;
    }
    if (((IData)(vlTOPp->full) ^ vlTOPp->RAS__DOT____Vtogcov__full)) {
        ++(vlSymsp->__Vcoverage[138]);
        vlTOPp->RAS__DOT____Vtogcov__full = vlTOPp->full;
    }
    if (((IData)(vlTOPp->locked) ^ vlTOPp->RAS__DOT____Vtogcov__locked)) {
        ++(vlSymsp->__Vcoverage[135]);
        vlTOPp->RAS__DOT____Vtogcov__locked = vlTOPp->locked;
    }
    if (((IData)(vlTOPp->RAS__DOT__RAS_STACK_status) 
         ^ vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_status)) {
        ++(vlSymsp->__Vcoverage[141]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_status 
            = vlTOPp->RAS__DOT__RAS_STACK_status;
    }
    if (((IData)(vlTOPp->RAS__DOT__RAS_STACK_wr) ^ vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr)) {
        ++(vlSymsp->__Vcoverage[142]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr = vlTOPp->RAS__DOT__RAS_STACK_wr;
    }
    if ((1U & ((IData)(vlTOPp->out_addr) ^ (IData)(vlTOPp->RAS__DOT____Vtogcov__out_addr)))) {
        ++(vlSymsp->__Vcoverage[87]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffffffffeULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | (IData)((IData)(
                                                                   (1U 
                                                                    & (IData)(vlTOPp->out_addr)))));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 1U)) ^ (IData)(
                                                           (vlTOPp->RAS__DOT____Vtogcov__out_addr 
                                                            >> 1U))))) {
        ++(vlSymsp->__Vcoverage[88]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffffffffdULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 1U))))) 
                                                    << 1U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 2U)) ^ (IData)(
                                                           (vlTOPp->RAS__DOT____Vtogcov__out_addr 
                                                            >> 2U))))) {
        ++(vlSymsp->__Vcoverage[89]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffffffffbULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 2U))))) 
                                                    << 2U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 3U)) ^ (IData)(
                                                           (vlTOPp->RAS__DOT____Vtogcov__out_addr 
                                                            >> 3U))))) {
        ++(vlSymsp->__Vcoverage[90]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffffffff7ULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 3U))))) 
                                                    << 3U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 4U)) ^ (IData)(
                                                           (vlTOPp->RAS__DOT____Vtogcov__out_addr 
                                                            >> 4U))))) {
        ++(vlSymsp->__Vcoverage[91]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffffffffefULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 4U))))) 
                                                    << 4U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 5U)) ^ (IData)(
                                                           (vlTOPp->RAS__DOT____Vtogcov__out_addr 
                                                            >> 5U))))) {
        ++(vlSymsp->__Vcoverage[92]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffffffffdfULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 5U))))) 
                                                    << 5U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 6U)) ^ (IData)(
                                                           (vlTOPp->RAS__DOT____Vtogcov__out_addr 
                                                            >> 6U))))) {
        ++(vlSymsp->__Vcoverage[93]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffffffffbfULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 6U))))) 
                                                    << 6U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 7U)) ^ (IData)(
                                                           (vlTOPp->RAS__DOT____Vtogcov__out_addr 
                                                            >> 7U))))) {
        ++(vlSymsp->__Vcoverage[94]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffffffff7fULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 7U))))) 
                                                    << 7U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 8U)) ^ (IData)(
                                                           (vlTOPp->RAS__DOT____Vtogcov__out_addr 
                                                            >> 8U))))) {
        ++(vlSymsp->__Vcoverage[95]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffffffeffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 8U))))) 
                                                    << 8U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 9U)) ^ (IData)(
                                                           (vlTOPp->RAS__DOT____Vtogcov__out_addr 
                                                            >> 9U))))) {
        ++(vlSymsp->__Vcoverage[96]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffffffdffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 9U))))) 
                                                    << 9U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0xaU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0xaU))))) {
        ++(vlSymsp->__Vcoverage[97]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffffffbffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0xaU))))) 
                                                    << 0xaU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0xbU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0xbU))))) {
        ++(vlSymsp->__Vcoverage[98]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffffff7ffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0xbU))))) 
                                                    << 0xbU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0xcU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0xcU))))) {
        ++(vlSymsp->__Vcoverage[99]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffffffefffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0xcU))))) 
                                                    << 0xcU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0xdU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0xdU))))) {
        ++(vlSymsp->__Vcoverage[100]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffffffdfffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0xdU))))) 
                                                    << 0xdU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0xeU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0xeU))))) {
        ++(vlSymsp->__Vcoverage[101]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffffffbfffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0xeU))))) 
                                                    << 0xeU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0xfU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0xfU))))) {
        ++(vlSymsp->__Vcoverage[102]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffffff7fffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0xfU))))) 
                                                    << 0xfU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x10U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x10U))))) {
        ++(vlSymsp->__Vcoverage[103]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffffeffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x10U))))) 
                                                    << 0x10U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x11U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x11U))))) {
        ++(vlSymsp->__Vcoverage[104]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffffdffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x11U))))) 
                                                    << 0x11U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x12U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x12U))))) {
        ++(vlSymsp->__Vcoverage[105]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffffbffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x12U))))) 
                                                    << 0x12U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x13U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x13U))))) {
        ++(vlSymsp->__Vcoverage[106]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffff7ffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x13U))))) 
                                                    << 0x13U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x14U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x14U))))) {
        ++(vlSymsp->__Vcoverage[107]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffffefffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x14U))))) 
                                                    << 0x14U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x15U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x15U))))) {
        ++(vlSymsp->__Vcoverage[108]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffffdfffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x15U))))) 
                                                    << 0x15U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x16U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x16U))))) {
        ++(vlSymsp->__Vcoverage[109]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffffbfffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x16U))))) 
                                                    << 0x16U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x17U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x17U))))) {
        ++(vlSymsp->__Vcoverage[110]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffff7fffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x17U))))) 
                                                    << 0x17U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x18U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x18U))))) {
        ++(vlSymsp->__Vcoverage[111]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffeffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x18U))))) 
                                                    << 0x18U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x19U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x19U))))) {
        ++(vlSymsp->__Vcoverage[112]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffdffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x19U))))) 
                                                    << 0x19U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x1aU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x1aU))))) {
        ++(vlSymsp->__Vcoverage[113]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffffbffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x1aU))))) 
                                                    << 0x1aU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x1bU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x1bU))))) {
        ++(vlSymsp->__Vcoverage[114]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffff7ffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x1bU))))) 
                                                    << 0x1bU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x1cU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x1cU))))) {
        ++(vlSymsp->__Vcoverage[115]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffefffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x1cU))))) 
                                                    << 0x1cU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x1dU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x1dU))))) {
        ++(vlSymsp->__Vcoverage[116]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffdfffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x1dU))))) 
                                                    << 0x1dU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x1eU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x1eU))))) {
        ++(vlSymsp->__Vcoverage[117]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffffbfffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x1eU))))) 
                                                    << 0x1eU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x1fU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x1fU))))) {
        ++(vlSymsp->__Vcoverage[118]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffff7fffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x1fU))))) 
                                                    << 0x1fU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x20U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x20U))))) {
        ++(vlSymsp->__Vcoverage[119]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffeffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x20U))))) 
                                                    << 0x20U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x21U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x21U))))) {
        ++(vlSymsp->__Vcoverage[120]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffdffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x21U))))) 
                                                    << 0x21U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x22U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x22U))))) {
        ++(vlSymsp->__Vcoverage[121]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfffbffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x22U))))) 
                                                    << 0x22U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x23U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x23U))))) {
        ++(vlSymsp->__Vcoverage[122]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfff7ffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x23U))))) 
                                                    << 0x23U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x24U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x24U))))) {
        ++(vlSymsp->__Vcoverage[123]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffefffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x24U))))) 
                                                    << 0x24U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x25U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x25U))))) {
        ++(vlSymsp->__Vcoverage[124]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffdfffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x25U))))) 
                                                    << 0x25U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x26U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x26U))))) {
        ++(vlSymsp->__Vcoverage[125]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xffbfffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x26U))))) 
                                                    << 0x26U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x27U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x27U))))) {
        ++(vlSymsp->__Vcoverage[126]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xff7fffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x27U))))) 
                                                    << 0x27U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x28U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x28U))))) {
        ++(vlSymsp->__Vcoverage[127]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfeffffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x28U))))) 
                                                    << 0x28U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x29U)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x29U))))) {
        ++(vlSymsp->__Vcoverage[128]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfdffffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x29U))))) 
                                                    << 0x29U));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x2aU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x2aU))))) {
        ++(vlSymsp->__Vcoverage[129]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xfbffffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x2aU))))) 
                                                    << 0x2aU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x2bU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x2bU))))) {
        ++(vlSymsp->__Vcoverage[130]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xf7ffffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x2bU))))) 
                                                    << 0x2bU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x2cU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x2cU))))) {
        ++(vlSymsp->__Vcoverage[131]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xefffffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x2cU))))) 
                                                    << 0x2cU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x2dU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x2dU))))) {
        ++(vlSymsp->__Vcoverage[132]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xdfffffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x2dU))))) 
                                                    << 0x2dU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x2eU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x2eU))))) {
        ++(vlSymsp->__Vcoverage[133]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0xbfffffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x2eU))))) 
                                                    << 0x2eU));
    }
    if ((1U & ((IData)((vlTOPp->out_addr >> 0x2fU)) 
               ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__out_addr 
                          >> 0x2fU))))) {
        ++(vlSymsp->__Vcoverage[134]);
        vlTOPp->RAS__DOT____Vtogcov__out_addr = ((0x7fffffffffffULL 
                                                  & vlTOPp->RAS__DOT____Vtogcov__out_addr) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->out_addr 
                                                                                >> 0x2fU))))) 
                                                    << 0x2fU));
    }
    if ((1U & ((IData)(vlTOPp->RAS__DOT__RAS_STACK_wr_data) 
               ^ (IData)(vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data)))) {
        ++(vlSymsp->__Vcoverage[143]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffffffffeULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | (IData)((IData)((1U & (IData)(vlTOPp->RAS__DOT__RAS_STACK_wr_data)))));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 1U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                           >> 1U))))) {
        ++(vlSymsp->__Vcoverage[144]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffffffffdULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 1U))))) 
                  << 1U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 2U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                           >> 2U))))) {
        ++(vlSymsp->__Vcoverage[145]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffffffffbULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 2U))))) 
                  << 2U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 3U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                           >> 3U))))) {
        ++(vlSymsp->__Vcoverage[146]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffffffff7ULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 3U))))) 
                  << 3U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 4U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                           >> 4U))))) {
        ++(vlSymsp->__Vcoverage[147]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffffffffefULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 4U))))) 
                  << 4U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 5U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                           >> 5U))))) {
        ++(vlSymsp->__Vcoverage[148]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffffffffdfULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 5U))))) 
                  << 5U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 6U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                           >> 6U))))) {
        ++(vlSymsp->__Vcoverage[149]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffffffffbfULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 6U))))) 
                  << 6U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 7U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                           >> 7U))))) {
        ++(vlSymsp->__Vcoverage[150]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffffffff7fULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 7U))))) 
                  << 7U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 8U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                           >> 8U))))) {
        ++(vlSymsp->__Vcoverage[151]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffffffeffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 8U))))) 
                  << 8U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 9U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                           >> 9U))))) {
        ++(vlSymsp->__Vcoverage[152]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffffffdffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 9U))))) 
                  << 9U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0xaU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                             >> 0xaU))))) {
        ++(vlSymsp->__Vcoverage[153]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffffffbffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0xaU))))) 
                  << 0xaU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0xbU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                             >> 0xbU))))) {
        ++(vlSymsp->__Vcoverage[154]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffffff7ffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0xbU))))) 
                  << 0xbU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0xcU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                             >> 0xcU))))) {
        ++(vlSymsp->__Vcoverage[155]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffffffefffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0xcU))))) 
                  << 0xcU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0xdU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                             >> 0xdU))))) {
        ++(vlSymsp->__Vcoverage[156]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffffffdfffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0xdU))))) 
                  << 0xdU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0xeU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                             >> 0xeU))))) {
        ++(vlSymsp->__Vcoverage[157]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffffffbfffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0xeU))))) 
                  << 0xeU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0xfU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                             >> 0xfU))))) {
        ++(vlSymsp->__Vcoverage[158]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffffff7fffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0xfU))))) 
                  << 0xfU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x10U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x10U))))) {
        ++(vlSymsp->__Vcoverage[159]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffffeffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x10U))))) 
                  << 0x10U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x11U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x11U))))) {
        ++(vlSymsp->__Vcoverage[160]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffffdffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x11U))))) 
                  << 0x11U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x12U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x12U))))) {
        ++(vlSymsp->__Vcoverage[161]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffffbffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x12U))))) 
                  << 0x12U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x13U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x13U))))) {
        ++(vlSymsp->__Vcoverage[162]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffff7ffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x13U))))) 
                  << 0x13U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x14U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x14U))))) {
        ++(vlSymsp->__Vcoverage[163]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffffefffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x14U))))) 
                  << 0x14U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x15U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x15U))))) {
        ++(vlSymsp->__Vcoverage[164]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffffdfffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x15U))))) 
                  << 0x15U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x16U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x16U))))) {
        ++(vlSymsp->__Vcoverage[165]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffffbfffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x16U))))) 
                  << 0x16U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x17U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x17U))))) {
        ++(vlSymsp->__Vcoverage[166]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffff7fffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x17U))))) 
                  << 0x17U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x18U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x18U))))) {
        ++(vlSymsp->__Vcoverage[167]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffeffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x18U))))) 
                  << 0x18U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x19U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x19U))))) {
        ++(vlSymsp->__Vcoverage[168]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffdffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x19U))))) 
                  << 0x19U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x1aU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x1aU))))) {
        ++(vlSymsp->__Vcoverage[169]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffffbffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x1aU))))) 
                  << 0x1aU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x1bU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x1bU))))) {
        ++(vlSymsp->__Vcoverage[170]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffff7ffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x1bU))))) 
                  << 0x1bU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x1cU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x1cU))))) {
        ++(vlSymsp->__Vcoverage[171]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffefffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x1cU))))) 
                  << 0x1cU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x1dU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x1dU))))) {
        ++(vlSymsp->__Vcoverage[172]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffdfffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x1dU))))) 
                  << 0x1dU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x1eU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x1eU))))) {
        ++(vlSymsp->__Vcoverage[173]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffffbfffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x1eU))))) 
                  << 0x1eU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x1fU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x1fU))))) {
        ++(vlSymsp->__Vcoverage[174]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffff7fffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x1fU))))) 
                  << 0x1fU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x20U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x20U))))) {
        ++(vlSymsp->__Vcoverage[175]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffeffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x20U))))) 
                  << 0x20U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x21U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x21U))))) {
        ++(vlSymsp->__Vcoverage[176]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffdffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x21U))))) 
                  << 0x21U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x22U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x22U))))) {
        ++(vlSymsp->__Vcoverage[177]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfffbffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x22U))))) 
                  << 0x22U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x23U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x23U))))) {
        ++(vlSymsp->__Vcoverage[178]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfff7ffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x23U))))) 
                  << 0x23U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x24U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x24U))))) {
        ++(vlSymsp->__Vcoverage[179]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffefffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x24U))))) 
                  << 0x24U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x25U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x25U))))) {
        ++(vlSymsp->__Vcoverage[180]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffdfffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x25U))))) 
                  << 0x25U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x26U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x26U))))) {
        ++(vlSymsp->__Vcoverage[181]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xffbfffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x26U))))) 
                  << 0x26U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x27U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x27U))))) {
        ++(vlSymsp->__Vcoverage[182]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xff7fffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x27U))))) 
                  << 0x27U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x28U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x28U))))) {
        ++(vlSymsp->__Vcoverage[183]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfeffffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x28U))))) 
                  << 0x28U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x29U)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x29U))))) {
        ++(vlSymsp->__Vcoverage[184]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfdffffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x29U))))) 
                  << 0x29U));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x2aU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x2aU))))) {
        ++(vlSymsp->__Vcoverage[185]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xfbffffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x2aU))))) 
                  << 0x2aU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x2bU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x2bU))))) {
        ++(vlSymsp->__Vcoverage[186]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xf7ffffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x2bU))))) 
                  << 0x2bU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x2cU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x2cU))))) {
        ++(vlSymsp->__Vcoverage[187]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xefffffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x2cU))))) 
                  << 0x2cU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x2dU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x2dU))))) {
        ++(vlSymsp->__Vcoverage[188]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xdfffffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x2dU))))) 
                  << 0x2dU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x2eU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x2eU))))) {
        ++(vlSymsp->__Vcoverage[189]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0xbfffffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x2eU))))) 
                  << 0x2eU));
    }
    if ((1U & ((IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                        >> 0x2fU)) ^ (IData)((vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
                                              >> 0x2fU))))) {
        ++(vlSymsp->__Vcoverage[190]);
        vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data 
            = ((0x7fffffffffffULL & vlTOPp->RAS__DOT____Vtogcov__RAS_STACK_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->RAS__DOT__RAS_STACK_wr_data 
                                                 >> 0x2fU))))) 
                  << 0x2fU));
    }
}

void VRAS::_eval_initial(VRAS__Syms* __restrict vlSymsp) {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VRAS::_eval_initial\n"); );
    VRAS* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Body
    vlTOPp->__Vclklast__TOP__clk = vlTOPp->clk;
    vlTOPp->_initial__TOP__5(vlSymsp);
    vlTOPp->__Vm_traceActivity[2U] = 1U;
    vlTOPp->__Vm_traceActivity[1U] = 1U;
    vlTOPp->__Vm_traceActivity[0U] = 1U;
}

void VRAS::final() {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VRAS::final\n"); );
    // Variables
    VRAS__Syms* __restrict vlSymsp = this->__VlSymsp;
    VRAS* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
}

void VRAS::_eval_settle(VRAS__Syms* __restrict vlSymsp) {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VRAS::_eval_settle\n"); );
    VRAS* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Body
    vlTOPp->_combo__TOP__1(vlSymsp);
    vlTOPp->__Vm_traceActivity[2U] = 1U;
    vlTOPp->__Vm_traceActivity[1U] = 1U;
    vlTOPp->__Vm_traceActivity[0U] = 1U;
    vlTOPp->_settle__TOP__7(vlSymsp);
}

void VRAS::_ctor_var_reset() {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VRAS::_ctor_var_reset\n"); );
    // Body
    clk = VL_RAND_RESET_I(1);
    res_n = VL_RAND_RESET_I(1);
    lock = VL_RAND_RESET_I(1);
    unlock = VL_RAND_RESET_I(1);
    key = VL_RAND_RESET_I(32);
    in_addr_val = VL_RAND_RESET_I(1);
    in_addr = VL_RAND_RESET_Q(48);
    rd = VL_RAND_RESET_I(1);
    out_addr_val = VL_RAND_RESET_I(1);
    out_addr = VL_RAND_RESET_Q(48);
    locked = VL_RAND_RESET_I(1);
    ras_write_active = VL_RAND_RESET_I(1);
    empty = VL_RAND_RESET_I(1);
    full = VL_RAND_RESET_I(1);
    RAS__DOT__STATE = VL_RAND_RESET_I(1);
    RAS__DOT__NEXT_STATE = VL_RAND_RESET_I(1);
    RAS__DOT__RAS_STACK_status = VL_RAND_RESET_I(1);
    RAS__DOT__RAS_STACK_wr = VL_RAND_RESET_I(1);
    RAS__DOT__RAS_STACK_wr_data = VL_RAND_RESET_Q(48);
    RAS__DOT__RAS_STACK_rd = VL_RAND_RESET_I(1);
    RAS__DOT__RAS_STACK_rd_data = VL_RAND_RESET_Q(48);
    RAS__DOT__RAS_STACK_empty = VL_RAND_RESET_I(1);
    RAS__DOT__RAS_STACK_full = VL_RAND_RESET_I(1);
    RAS__DOT__DO_IDLE = VL_RAND_RESET_I(1);
    RAS__DOT__DO_LOCK = VL_RAND_RESET_I(1);
    RAS__DOT__DO_READ_STACK = VL_RAND_RESET_I(1);
    RAS__DOT__DO_UNLOCK = VL_RAND_RESET_I(1);
    RAS__DOT__DO_WRITE_STACK = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__clk = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__res_n = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__lock = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__unlock = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__key = VL_RAND_RESET_I(32);
    RAS__DOT____Vtogcov__in_addr_val = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__in_addr = VL_RAND_RESET_Q(48);
    RAS__DOT____Vtogcov__rd = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__out_addr_val = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__out_addr = VL_RAND_RESET_Q(48);
    RAS__DOT____Vtogcov__locked = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__ras_write_active = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__empty = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__full = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__STATE = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__NEXT_STATE = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__RAS_STACK_status = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__RAS_STACK_wr = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__RAS_STACK_wr_data = VL_RAND_RESET_Q(48);
    RAS__DOT____Vtogcov__RAS_STACK_rd = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__RAS_STACK_rd_data = VL_RAND_RESET_Q(48);
    RAS__DOT____Vtogcov__RAS_STACK_empty = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__RAS_STACK_full = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__DO_IDLE = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__DO_LOCK = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__DO_READ_STACK = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__DO_UNLOCK = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__DO_WRITE_STACK = VL_RAND_RESET_I(1);
    RAS__DOT____Vtogcov__IS_KEY_MATCH = VL_RAND_RESET_I(1);
    { int __Vi0=0; for (; __Vi0<16; ++__Vi0) {
            RAS__DOT__RAS_STACK__DOT__MEMORY[__Vi0] = VL_RAND_RESET_Q(48);
    }}
    RAS__DOT__RAS_STACK__DOT__HEAD = VL_RAND_RESET_I(4);
    RAS__DOT__RAS_STACK__DOT__HEAD_PLUS_1 = VL_RAND_RESET_I(4);
    RAS__DOT__RAS_STACK__DOT__HEAD_MINUS_1 = VL_RAND_RESET_I(4);
    RAS__DOT__RAS_STACK__DOT__i = VL_RAND_RESET_I(32);
    RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD = VL_RAND_RESET_I(4);
    RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_PLUS_1 = VL_RAND_RESET_I(4);
    RAS__DOT__RAS_STACK__DOT____Vtogcov__HEAD_MINUS_1 = VL_RAND_RESET_I(4);
    __Vfunc_RAS__DOT__READ_RAS_STACK__0__Vfuncout = VL_RAND_RESET_Q(48);
    __Vfunc_RAS__DOT__READ_RAS_STACK__0__read = VL_RAND_RESET_I(1);
    __Vfunc_RAS__DOT__WRITE_RAS_STACK__1__Vfuncout = VL_RAND_RESET_I(1);
    __Vfunc_RAS__DOT__WRITE_RAS_STACK__1__write = VL_RAND_RESET_I(1);
    __Vfunc_RAS__DOT__WRITE_RAS_STACK__1__write_data = VL_RAND_RESET_Q(48);
    __Vfunc_RAS__DOT__WRITE_RAS_STACK__2__Vfuncout = VL_RAND_RESET_I(1);
    __Vfunc_RAS__DOT__WRITE_RAS_STACK__2__write = VL_RAND_RESET_I(1);
    __Vfunc_RAS__DOT__WRITE_RAS_STACK__2__write_data = VL_RAND_RESET_Q(48);
    __Vfunc_RAS__DOT__WRITE_RAS_STACK__3__Vfuncout = VL_RAND_RESET_I(1);
    __Vfunc_RAS__DOT__WRITE_RAS_STACK__3__write = VL_RAND_RESET_I(1);
    __Vfunc_RAS__DOT__WRITE_RAS_STACK__3__write_data = VL_RAND_RESET_Q(48);
    __Vfunc_RAS__DOT__WRITE_RAS_STACK__4__Vfuncout = VL_RAND_RESET_I(1);
    __Vfunc_RAS__DOT__WRITE_RAS_STACK__4__write = VL_RAND_RESET_I(1);
    __Vfunc_RAS__DOT__WRITE_RAS_STACK__4__write_data = VL_RAND_RESET_Q(48);
    __Vchglast__TOP__RAS__DOT__RAS_STACK_rd_data = VL_RAND_RESET_Q(48);
    { int __Vi0=0; for (; __Vi0<3; ++__Vi0) {
            __Vm_traceActivity[__Vi0] = VL_RAND_RESET_I(1);
    }}
}

void VRAS::_configure_coverage(VRAS__Syms* __restrict vlSymsp, bool first) {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VRAS::_configure_coverage\n"); );
    // Body
    if (false && vlSymsp && first) {}  // Prevent unused
    __vlCoverInsert(&(vlSymsp->__Vcoverage[0]), first, "RAS.sv", 12, 14, ".RAS", "v_toggle/RAS", "clk", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[1]), first, "RAS.sv", 13, 14, ".RAS", "v_toggle/RAS", "res_n", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[2]), first, "RAS.sv", 14, 14, ".RAS", "v_toggle/RAS", "lock", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[3]), first, "RAS.sv", 15, 14, ".RAS", "v_toggle/RAS", "unlock", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[4]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[0]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[5]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[1]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[6]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[2]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[7]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[3]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[8]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[4]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[9]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[5]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[10]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[6]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[11]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[7]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[12]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[8]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[13]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[9]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[14]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[10]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[15]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[11]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[16]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[12]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[17]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[13]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[18]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[14]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[19]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[15]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[20]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[16]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[21]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[17]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[22]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[18]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[23]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[19]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[24]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[20]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[25]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[21]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[26]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[22]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[27]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[23]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[28]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[24]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[29]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[25]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[30]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[26]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[31]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[27]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[32]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[28]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[33]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[29]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[34]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[30]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[35]), first, "RAS.sv", 16, 30, ".RAS", "v_toggle/RAS", "key[31]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[36]), first, "RAS.sv", 17, 14, ".RAS", "v_toggle/RAS", "in_addr_val", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[37]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[0]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[38]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[1]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[39]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[2]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[40]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[3]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[41]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[4]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[42]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[5]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[43]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[6]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[44]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[7]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[45]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[8]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[46]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[9]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[47]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[10]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[48]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[11]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[49]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[12]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[50]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[13]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[51]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[14]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[52]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[15]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[53]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[16]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[54]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[17]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[55]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[18]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[56]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[19]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[57]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[20]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[58]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[21]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[59]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[22]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[60]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[23]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[61]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[24]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[62]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[25]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[63]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[26]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[64]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[27]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[65]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[28]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[66]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[29]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[67]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[30]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[68]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[31]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[69]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[32]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[70]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[33]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[71]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[34]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[72]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[35]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[73]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[36]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[74]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[37]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[75]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[38]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[76]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[39]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[77]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[40]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[78]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[41]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[79]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[42]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[80]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[43]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[81]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[44]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[82]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[45]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[83]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[46]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[84]), first, "RAS.sv", 18, 30, ".RAS", "v_toggle/RAS", "in_addr[47]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[85]), first, "RAS.sv", 19, 14, ".RAS", "v_toggle/RAS", "rd", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[86]), first, "RAS.sv", 20, 15, ".RAS", "v_toggle/RAS", "out_addr_val", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[87]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[0]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[88]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[1]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[89]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[2]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[90]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[3]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[91]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[4]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[92]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[5]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[93]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[6]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[94]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[7]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[95]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[8]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[96]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[9]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[97]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[10]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[98]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[11]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[99]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[12]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[100]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[13]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[101]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[14]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[102]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[15]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[103]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[16]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[104]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[17]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[105]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[18]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[106]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[19]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[107]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[20]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[108]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[21]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[109]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[22]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[110]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[23]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[111]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[24]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[112]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[25]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[113]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[26]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[114]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[27]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[115]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[28]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[116]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[29]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[117]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[30]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[118]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[31]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[119]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[32]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[120]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[33]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[121]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[34]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[122]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[35]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[123]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[36]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[124]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[37]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[125]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[38]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[126]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[39]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[127]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[40]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[128]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[41]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[129]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[42]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[130]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[43]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[131]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[44]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[132]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[45]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[133]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[46]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[134]), first, "RAS.sv", 21, 31, ".RAS", "v_toggle/RAS", "out_addr[47]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[135]), first, "RAS.sv", 22, 15, ".RAS", "v_toggle/RAS", "locked", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[136]), first, "RAS.sv", 23, 15, ".RAS", "v_toggle/RAS", "ras_write_active", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[137]), first, "RAS.sv", 24, 15, ".RAS", "v_toggle/RAS", "empty", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[138]), first, "RAS.sv", 25, 15, ".RAS", "v_toggle/RAS", "full", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[139]), first, "RAS.sv", 47, 10, ".RAS", "v_toggle/RAS", "STATE[0]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[140]), first, "RAS.sv", 47, 17, ".RAS", "v_toggle/RAS", "NEXT_STATE[0]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[141]), first, "RAS.sv", 53, 7, ".RAS", "v_toggle/RAS", "RAS_STACK_status", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[0]), first, "RAS.sv", 54, 7, ".RAS", "v_toggle/RAS", "RAS_STACK_clk", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[1]), first, "RAS.sv", 55, 7, ".RAS", "v_toggle/RAS", "RAS_STACK_res_n", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[142]), first, "RAS.sv", 56, 7, ".RAS", "v_toggle/RAS", "RAS_STACK_wr", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[143]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[0]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[144]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[1]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[145]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[2]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[146]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[3]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[147]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[4]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[148]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[5]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[149]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[6]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[150]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[7]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[151]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[8]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[152]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[9]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[153]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[10]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[154]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[11]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[155]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[12]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[156]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[13]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[157]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[14]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[158]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[15]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[159]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[16]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[160]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[17]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[161]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[18]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[162]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[19]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[163]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[20]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[164]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[21]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[165]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[22]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[166]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[23]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[167]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[24]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[168]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[25]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[169]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[26]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[170]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[27]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[171]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[28]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[172]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[29]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[173]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[30]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[174]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[31]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[175]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[32]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[176]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[33]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[177]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[34]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[178]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[35]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[179]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[36]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[180]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[37]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[181]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[38]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[182]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[39]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[183]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[40]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[184]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[41]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[185]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[42]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[186]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[43]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[187]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[44]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[188]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[45]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[189]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[46]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[190]), first, "RAS.sv", 57, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_wr_data[47]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[191]), first, "RAS.sv", 58, 7, ".RAS", "v_toggle/RAS", "RAS_STACK_rd", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[192]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[0]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[193]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[1]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[194]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[2]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[195]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[3]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[196]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[4]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[197]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[5]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[198]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[6]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[199]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[7]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[200]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[8]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[201]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[9]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[202]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[10]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[203]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[11]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[204]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[12]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[205]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[13]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[206]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[14]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[207]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[15]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[208]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[16]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[209]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[17]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[210]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[18]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[211]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[19]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[212]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[20]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[213]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[21]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[214]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[22]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[215]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[23]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[216]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[24]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[217]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[25]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[218]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[26]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[219]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[27]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[220]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[28]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[221]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[29]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[222]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[30]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[223]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[31]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[224]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[32]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[225]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[33]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[226]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[34]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[227]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[35]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[228]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[36]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[229]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[37]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[230]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[38]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[231]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[39]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[232]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[40]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[233]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[41]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[234]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[42]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[235]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[43]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[236]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[44]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[237]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[45]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[238]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[46]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[239]), first, "RAS.sv", 59, 23, ".RAS", "v_toggle/RAS", "RAS_STACK_rd_data[47]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[240]), first, "RAS.sv", 60, 7, ".RAS", "v_toggle/RAS", "RAS_STACK_empty", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[241]), first, "RAS.sv", 61, 7, ".RAS", "v_toggle/RAS", "RAS_STACK_full", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[242]), first, "RAS.sv", 74, 6, ".RAS", "v_toggle/RAS", "DO_IDLE", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[243]), first, "RAS.sv", 75, 6, ".RAS", "v_toggle/RAS", "DO_LOCK", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[244]), first, "RAS.sv", 76, 6, ".RAS", "v_toggle/RAS", "DO_READ_STACK", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[245]), first, "RAS.sv", 77, 6, ".RAS", "v_toggle/RAS", "DO_UNLOCK", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[246]), first, "RAS.sv", 78, 6, ".RAS", "v_toggle/RAS", "DO_WRITE_STACK", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[247]), first, "RAS.sv", 79, 6, ".RAS", "v_toggle/RAS", "IS_KEY_MATCH", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[248]), first, "RAS.sv", 93, 3, ".RAS", "v_branch/RAS", "if", "93-96");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[249]), first, "RAS.sv", 93, 4, ".RAS", "v_branch/RAS", "else", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[250]), first, "RAS.sv", 86, 1, ".RAS", "v_line/RAS", "block", "86-90,98");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[251]), first, "RAS.sv", 108, 3, ".RAS", "v_branch/RAS", "if", "108-109");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[252]), first, "RAS.sv", 108, 4, ".RAS", "v_branch/RAS", "else", "111");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[253]), first, "RAS.sv", 114, 3, ".RAS", "v_branch/RAS", "if", "114-116");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[254]), first, "RAS.sv", 114, 4, ".RAS", "v_branch/RAS", "else", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[255]), first, "RAS.sv", 107, 1, ".RAS", "v_line/RAS", "block", "107");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[256]), first, "RAS.sv", 132, 2, ".RAS", "v_branch/RAS", "if", "132-133,135,137-142");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[257]), first, "RAS.sv", 132, 3, ".RAS", "v_branch/RAS", "else", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[258]), first, "RAS.sv", 144, 2, ".RAS", "v_branch/RAS", "if", "144-145,147,149-154");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[259]), first, "RAS.sv", 144, 3, ".RAS", "v_branch/RAS", "else", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[260]), first, "RAS.sv", 130, 10, ".RAS", "v_line/RAS", "case", "130");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[261]), first, "RAS.sv", 159, 2, ".RAS", "v_branch/RAS", "if", "159-160,162,164-169");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[262]), first, "RAS.sv", 159, 3, ".RAS", "v_branch/RAS", "else", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[263]), first, "RAS.sv", 171, 2, ".RAS", "v_branch/RAS", "if", "171-172,174,176-181");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[264]), first, "RAS.sv", 171, 3, ".RAS", "v_branch/RAS", "else", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[265]), first, "RAS.sv", 157, 12, ".RAS", "v_line/RAS", "case", "157");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[266]), first, "RAS.sv", 128, 1, ".RAS", "v_line/RAS", "block", "128-129");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[267]), first, "RAS.sv", 191, 36, ".RAS", "v_line/RAS", "block", "191-193");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[268]), first, "RAS.sv", 196, 20, ".RAS", "v_line/RAS", "block", "196-199");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[0]), first, "RAS.sv", 214, 14, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "clk", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[1]), first, "RAS.sv", 214, 19, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "res_n", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[191]), first, "RAS.sv", 214, 26, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[142]), first, "RAS.sv", 214, 30, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[143]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[0]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[144]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[1]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[145]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[2]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[146]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[3]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[147]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[4]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[148]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[5]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[149]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[6]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[150]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[7]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[151]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[8]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[152]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[9]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[153]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[10]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[154]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[11]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[155]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[12]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[156]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[13]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[157]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[14]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[158]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[15]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[159]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[16]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[160]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[17]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[161]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[18]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[162]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[19]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[163]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[20]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[164]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[21]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[165]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[22]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[166]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[23]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[167]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[24]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[168]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[25]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[169]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[26]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[170]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[27]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[171]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[28]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[172]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[29]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[173]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[30]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[174]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[31]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[175]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[32]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[176]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[33]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[177]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[34]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[178]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[35]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[179]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[36]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[180]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[37]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[181]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[38]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[182]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[39]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[183]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[40]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[184]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[41]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[185]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[42]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[186]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[43]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[187]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[44]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[188]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[45]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[189]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[46]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[190]), first, "RAS.sv", 215, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "wr_data[47]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[192]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[0]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[193]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[1]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[194]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[2]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[195]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[3]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[196]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[4]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[197]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[5]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[198]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[6]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[199]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[7]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[200]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[8]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[201]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[9]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[202]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[10]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[203]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[11]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[204]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[12]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[205]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[13]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[206]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[14]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[207]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[15]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[208]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[16]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[209]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[17]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[210]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[18]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[211]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[19]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[212]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[20]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[213]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[21]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[214]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[22]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[215]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[23]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[216]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[24]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[217]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[25]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[218]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[26]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[219]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[27]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[220]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[28]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[221]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[29]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[222]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[30]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[223]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[31]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[224]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[32]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[225]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[33]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[226]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[34]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[227]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[35]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[228]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[36]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[229]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[37]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[230]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[38]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[231]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[39]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[232]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[40]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[233]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[41]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[234]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[42]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[235]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[43]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[236]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[44]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[237]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[45]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[238]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[46]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[239]), first, "RAS.sv", 216, 31, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "rd_data[47]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[240]), first, "RAS.sv", 217, 14, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "empty", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[241]), first, "RAS.sv", 217, 21, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "full", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[269]), first, "RAS.sv", 223, 26, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "HEAD[0]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[270]), first, "RAS.sv", 223, 26, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "HEAD[1]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[271]), first, "RAS.sv", 223, 26, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "HEAD[2]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[272]), first, "RAS.sv", 223, 26, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "HEAD[3]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[273]), first, "RAS.sv", 223, 32, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "HEAD_PLUS_1[0]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[274]), first, "RAS.sv", 223, 32, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "HEAD_PLUS_1[1]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[275]), first, "RAS.sv", 223, 32, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "HEAD_PLUS_1[2]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[276]), first, "RAS.sv", 223, 32, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "HEAD_PLUS_1[3]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[277]), first, "RAS.sv", 223, 45, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "HEAD_MINUS_1[0]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[278]), first, "RAS.sv", 223, 45, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "HEAD_MINUS_1[1]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[279]), first, "RAS.sv", 223, 45, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "HEAD_MINUS_1[2]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[280]), first, "RAS.sv", 223, 45, ".RAS.RAS_STACK", "v_toggle/STACK__D30_N10", "HEAD_MINUS_1[3]", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[281]), first, "RAS.sv", 228, 5, ".RAS.RAS_STACK", "v_line/STACK__D30_N10", "block", "228-229");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[282]), first, "RAS.sv", 227, 1, ".RAS.RAS_STACK", "v_line/STACK__D30_N10", "block", "227-228,231");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[283]), first, "RAS.sv", 243, 5, ".RAS.RAS_STACK", "v_branch/STACK__D30_N10", "if", "243");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[284]), first, "RAS.sv", 243, 6, ".RAS.RAS_STACK", "v_branch/STACK__D30_N10", "else", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[285]), first, "RAS.sv", 245, 7, ".RAS.RAS_STACK", "v_branch/STACK__D30_N10", "if", "245-246");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[286]), first, "RAS.sv", 245, 8, ".RAS.RAS_STACK", "v_branch/STACK__D30_N10", "else", "247-249");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[287]), first, "RAS.sv", 244, 5, ".RAS.RAS_STACK", "v_branch/STACK__D30_N10", "if", "244");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[288]), first, "RAS.sv", 244, 6, ".RAS.RAS_STACK", "v_branch/STACK__D30_N10", "else", "");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[289]), first, "RAS.sv", 242, 3, ".RAS.RAS_STACK", "v_branch/STACK__D30_N10", "if", "242");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[290]), first, "RAS.sv", 242, 4, ".RAS.RAS_STACK", "v_branch/STACK__D30_N10", "else", "252-254");
    __vlCoverInsert(&(vlSymsp->__Vcoverage[291]), first, "RAS.sv", 241, 1, ".RAS.RAS_STACK", "v_line/STACK__D30_N10", "block", "241");
}
